@use "sass:math";
$border-width: 10px;
$border-img: url('/resurse/imagini/erori/meeples-on-beach.jpg');
$nr-img: 16 !default;
$timp-animatie: 2.5;
$timp-delay: 3.5;
$timp-afisare: $timp-animatie + $timp-delay;
$timp-total: $nr-img * $timp-afisare;

@function calcTransformareSfarsitAparitie(){
    @return math.percentage(math.div($timp-afisare,$timp-total));
}

#container-ga {
    position: relative;
    border: $border-width solid;
    border-image: $border-img 30 round;
    overflow: hidden;
    width: 50%;
    height: 400px;
    margin: auto;
    
    @media (max-width: 1200px){
        display: none;
    }

    .item-ga{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 0;
        animation-name: clipPathAnimation;
        animation-timing-function: linear;
        animation-iteration-count: infinite;
        animation-fill-mode: forwards;
        animation-duration: calc($nr-img * ($timp-afisare)) * 1s; 
        transform-origin: center center;

        &:hover {
            animation-play-state: paused;
        }
    }

    @for $i from $nr-img through 1 {
        //incepem cu imaginea de deasupra (ultima)
        .item-ga:nth-of-type(#{$i}) {
                animation-delay: calc(($nr-img - $i) * ($timp-afisare)) * 1s;
            }
    }
}

@keyframes clipPathAnimation {
    0% {
        z-index: 10; 
        opacity: 0.6;
        clip-path: polygon(0 40%, 100% 40%, 100% 40%, 0 40%);
    }
    #{calcTransformareSfarsitAparitie()}{
        clip-path: polygon(0 0%, 100% 0%, 100% 100%, 0% 100%);
        opacity: 1;
        z-index: 10;
    }
    #{100% - calcTransformareSfarsitAparitie()}{
        opacity: 0;
        z-index: -10;
        clip-path: polygon(0 0%, 100% 0%, 100% 100%, 0% 100%);
    }
    100% {
        opacity: 0;
        z-index: 0;
    }
}
